#!/bin/bash
#Check for whether the ircam illuminate serial-port adapter is physically present, as expected.
#This is a trivial wrapper around ircam_serial_illuminate, used for consistency with pb_check etc.

CMD="ircam_serial_illuminate -c"

if [ $# != 0 ]; then
	echo "This checks for the presence of the IRCamera Serial port Illumination adapter (probably on /dev/ttyUSB1)."
	echo "It checks: '$CMD'"
	echo "If found, return 0; else return 1."
	exit 1
fi

echo -n "Checking for Ircam Illuminate Serial Adapter..."
if $CMD 2> /dev/null ; then
	echo "OK"
	exit 0
else
	echo "ERROR"
	echo "Warning: Ircam Illuminate Serial Adapter not present as expected. It should be connected to the USB serial port." >&2
	echo "Run $CMD for more details." >&2
	#zenity --error --text="ERROR: Ircam Illuminate Serial Adapter not present! Check ttyUSB*."
	exit 1
fi

